summaryrefslogtreecommitdiff
path: root/firefox.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'firefox.sh.in')
-rw-r--r--firefox.sh.in14
1 files changed, 9 insertions, 5 deletions
diff --git a/firefox.sh.in b/firefox.sh.in
index f149564..adf98e9 100644
--- a/firefox.sh.in
+++ b/firefox.sh.in
@@ -67,6 +67,15 @@ MOZ_PROGRAM="$MOZ_DIST_BIN/$MOZ_FIREFOX_FILE"
MOZ_LAUNCHER="$MOZ_DIST_BIN/run-mozilla.sh"
##
+## Enable X11 backend by default?
+##
+if __DEFAULT_X11__; then
+ if ! [ "$GDK_BACKEND" ]; then
+ export GDK_BACKEND=x11
+ fi
+fi
+
+##
## Set MOZ_GRE_CONF
##
MOZ_GRE_CONF=/etc/gre.d/gre.conf
@@ -239,10 +248,6 @@ do
esac
done
-if ! [ "$GDK_BACKEND" ]; then
- export GDK_BACKEND=x11
-fi
-
# Run the browser
debugging=0
if [ $debugging = 1 ]
@@ -250,5 +255,4 @@ then
echo $MOZ_LAUNCHER $script_args $MOZ_PROGRAM "$@"
fi
-
exec $MOZ_LAUNCHER $script_args $MOZ_PROGRAM "$@"
bgstack15